# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1069.3.4 -> 1.1069.3.5
#	include/linux/mmzone.h	1.12    -> 1.13   
#	     mm/page_alloc.c	1.59    -> 1.60   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/09/16	bjorn.helgaas@hp.com	1.1069.3.5
# Merge with AA mem changes.
# --------------------------------------------
#
diff -Nru a/include/linux/mmzone.h b/include/linux/mmzone.h
--- a/include/linux/mmzone.h	Wed Oct  8 09:06:30 2003
+++ b/include/linux/mmzone.h	Wed Oct  8 09:06:30 2003
@@ -124,8 +124,7 @@
 	 * rarely used fields:
 	 */
 	char			*name;
-	unsigned long		totalsize;
-	unsigned long		memsize;
+	unsigned long		size;
 	unsigned long		realsize;
 } zone_t;
 
diff -Nru a/mm/page_alloc.c b/mm/page_alloc.c
--- a/mm/page_alloc.c	Wed Oct  8 09:06:30 2003
+++ b/mm/page_alloc.c	Wed Oct  8 09:06:30 2003
@@ -51,7 +51,7 @@
  */
 #define BAD_RANGE(zone, page)						     \
 (									     \
-	(((page) - mem_map) >= ((zone)->zone_start_mapnr+(zone)->totalsize)) \
+	(((page) - mem_map) >= ((zone)->zone_start_mapnr+(zone)->size)) \
 	|| (((page) - mem_map) < (zone)->zone_start_mapnr)		     \
 	|| ((zone) != page_zone(page))					     \
 )
@@ -577,7 +577,7 @@
  		unsigned long nr, total, flags;
 
 		total = 0;
-		if (zone->memsize) {
+		if (zone->realsize) {
 			spin_lock_irqsave(&zone->lock, flags);
 		 	for (order = 0; order < MAX_ORDER; order++) {
 				head = &(zone->free_area + order)->free_list;
@@ -620,7 +620,7 @@
 		 */
 	case ZONE_HIGHMEM:
 		zone = pgdat->node_zones + ZONE_HIGHMEM;
-		if (zone->memsize) {
+		if (zone->realsize) {
 #ifndef CONFIG_HIGHMEM
 			BUG();
 #endif
@@ -628,11 +628,11 @@
 		}
 	case ZONE_NORMAL:
 		zone = pgdat->node_zones + ZONE_NORMAL;
-		if (zone->memsize)
+		if (zone->realsize)
 			zonelist->zones[j++] = zone;
 	case ZONE_DMA:
 		zone = pgdat->node_zones + ZONE_DMA;
-		if (zone->memsize)
+		if (zone->realsize)
 			zonelist->zones[j++] = zone;
 	}
 
@@ -813,8 +813,7 @@
 			realsize -= zholes_size[j];
 
 		printk("zone(%lu): %lu pages.\n", j, realsize);
-		zone->totalsize = size;
-		zone->memsize = realsize;
+		zone->size = size;
 		zone->realsize = realsize;
 		zone->name = zone_names[j];
 		zone->lock = SPIN_LOCK_UNLOCKED;
